org.icefaces.ace.component.chart

## Enum HighlighterTooltipAxes

- java.lang.Object
- - java.lang.Enum<HighlighterTooltipAxes>
  - - org.icefaces.ace.component.chart.HighlighterTooltipAxes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HighlighterTooltipAxes>

      public enum HighlighterTooltipAxes
      extends java.lang.Enum<HighlighterTooltipAxes>

  Created with IntelliJ IDEA. User: Nils Date: 5/15/12 Time: 10:27 AM To change this template use File | Settings | File Templates.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `X`
    `XY`
    `Y`
    `YX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static HighlighterTooltipAxes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HighlighterTooltipAxes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XY

          public static final HighlighterTooltipAxes XY

    - #### YX

          public static final HighlighterTooltipAxes YX

    - #### X

          public static final HighlighterTooltipAxes X

    - #### Y

          public static final HighlighterTooltipAxes Y

  - ### Method Detail

    - #### values

          public static HighlighterTooltipAxes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HighlighterTooltipAxes c : HighlighterTooltipAxes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HighlighterTooltipAxes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<HighlighterTooltipAxes>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.